MSGUNIQ(1)

NUME
msguniq - unifică traducerile duplicate din catalogul de mesaje

SINOPSIS
msguniq [OPȚIUNE] [FIȘIER_INTRARE]

DESCRIERE

Unifică traducerile duplicate dintr-un catalog de traduceri. Găsește traducerile duplicate ale aceluiași ID de mesaj. Astfel de duplicate sunt intrări nevalide pentru alte programe precum msgfmt(1), msgmerge(1) sau msgcat(1). În mod implicit, dublurile sunt puse împreună (fuzionate). Atunci când se utilizează opțiunea --repeated, se obțin numai duplicatele, iar toate celelalte mesaje sunt eliminate. Comentariile și comentariile extrase vor fi cumulate, cu excepția faptului că, dacă se specifică --use-first, acestea vor fi preluate din prima traducere. Pozițiile fișierelor vor fi cumulate. Atunci când se utilizează opțiunea --unique, duplicatele sunt eliminate.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

FIȘIER DE INTRARE
    fișier PO de intrare

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă nu este dat nici un fișier de intrare sau dacă este „-”, se va citi intrarea standard.

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

  Selecție mesaje:

-d, --repeated
    afișează doar duplicatele

-u, --unique
    afișează doar mesajele unice, omițând duplicatele

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierul de intrare este în sintaxa Java .properties

--stringtable-input
    fișierul de intrare este în sintaxa NeXTstep/GNUstep .strings

  Detalii ieșire:

-t, --to-code=NUME
    codificarea pentru ieșire

--use-first
    folosește prima traducere disponibilă pentru fiecare mesaj, nu îmbină mai multe traduceri

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--no-location
    nu scrie liniile „#: nume_fișier:linie”

-n, --add-location
    generează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie fișiere .po, strict conform Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată alfanumeric

-F, --sort-by-file
    ordonează ieșirea după locația fișierului

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2001-2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msguniq este menținută ca un manual Texinfo. Dacă programele info și msguniq sunt instalate corect pe sistemul dvs., comanda

    info msguniq

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.